# Uses of Interface
com.logicaldoc.core.communication.SystemMessageDAO

Packages that use SystemMessageDAO
Package
Description
com.logicaldoc.core.communication
Classes that model emails and messages and the machinery to work with them.

## Uses of SystemMessageDAO in com.logicaldoc.core.communication

Classes in com.logicaldoc.core.communication that implement SystemMessageDAO
Modifier and Type
Class
Description
`class`
`HibernateSystemMessageDAO`
Hibernate implementation of `SystemMessageDAO`
Methods in com.logicaldoc.core.communication that return SystemMessageDAO
Modifier and Type
Method
Description
`static SystemMessageDAO`
SystemMessageDAO.`get()`
Gets the object available in the application context